<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
body{
	height:100vh;
	width: 100vw;
/*	display: flex;
	justify-content: center;
	/*align-items: center;*/*/
	margin: 0;
}
.layout{
	height:300px;
	width: 250px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	/*border:1px solid rgba(0,0,0,0.4);*/
	border-radius: 5px;
	box-shadow: 0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
}
.layout *{
	width: 200px;
}
input{
	margin:10px 0;
	border:unset;
	border-bottom:1px solid coral;
	padding:5px 10px;
}
input:focus{
	outline:none;
}
button{
	border:1px solid coral;
	padding:10px 5px;
	color:coral;
	background:transparent;
	transition: .3s;
}
button:hover{
	background:coral;
	color:white;
}
p{
	color:coral;
}
button:active{
	transform: translateY(2px);
}
button:focus{
	outline: none;

}
</style>
<body>
<div class="layout">
	<input id="num1" placeholder="Enter a number"></input>
	<input id="num2" placeholder="Enter a number"></input>
	<button onclick="add()">Add</button>
	<p>The result is: <span id="result"></span></p>
</div>
</div>
</body>
<script>
	function add(){
		let a=document.getElementById("num1").value;
		let b=document.getElementById("num2").value;
		let result=parseInt(a)+parseInt(b);
		if(isNaN(result)) result=0;
		document.getElementById("result").innerHTML= result;
	}
</script>
</html>